Einführung

Einführung und Danksagung

Dieses kleine Programm entstand mit Hilfe der XProfan-Community, die aktiv durch Hilfestellung und indirekt mit Ideen aus dem Forum in Form von Listings, Beiträgen und Anregungen mit dazu beigetragen haben.

Das Programm ist Freeware und wir daher komplett als Programm-Listing zu Verfügung gestellt.

Daher ein ganz großer Dank an alle.

Mit dem Personal Edition von HelpNDoc erstellt: Kostenloser Qt Help-Dokumentationsgenerator

FreeWare


Was macht VarFinder

Einführung ››

Varfinder

Programm-Analyse Tool

Was macht / kann Varfinder?

Varfinder sucht hauptsächlich, wie man dem Namen nach schon entnehmen kann, nach Variablen.

Zu den Variablen werden folgende Infos gesammelt:

      • Der Variablen-Typ -- mit Postfix (!,$,%,&,#)
      • Der Variablen-Typ -- ohne Postfix (INT,LONG,QUAD,DOUBLE,SINGLE,FLOAT,MEM,STRING)
      • Als was deklariert -- Global,Struct,Class,In Proc deklariert,als Parameter oder als Var
      • Zeile in der die Variable deklariert wurde
      • Alle Zeilen in der die Variable vorkommt
      • Welcher Art die Variable ist z.B: Fenster-Objekt (FO) oder eventuelle Laufzeit-Variable (L)
      • Die Art des Fenster-Objektes z.B: Button,Checkbox,Listbox etc.
      • Die Location der Variable -- im Hauptprogramm oder in Procedure xxx
      • wie oft die Variable im Programm vorkommt.

Dies ist aber noch lange nicht alles was dieses Tool kann. Es ermittelt außerdem:

1. Proceduren – Als Procedure definierte mit Namen, SubClassProc und ErrorProc.

Startzeile und Endzeile der Procedure

Anzahl der Procedur-Aufrufe im Programm und deren Zeilennummern.

Auch Verschachtelte Proceduren werden erkannt !

2. Schleifen – While, WhileLoop, WhileNot, Repeat, For, Foreach

Startzeile und Endzeile der Schleife.

Verschachtelung und Verschachtelungstiefe werden angezeigt mit Verschachtelungstiefe.

3. Abfragen – If, Case, Select

Startzeile und Endzeile der Abfrage.

Verschachtelung und Verschachtelungstiefe werden angezeigt mit Verschachtelungstiefe.

4. Controls – Button, Listbox, Gridbox, Checkbutton usw. (alles was mit Create od. Control erstellt wird)

Zeile mit Zeilennummer werden angezeigt.

5. Dialoge – z.B Messageboxen,Choosecolor,Savefile,Loadfile...

Zeile mit Zeilennummer werden angezeigt.

6. Definitionen – die genutzten API-Funktionen oder Funktionen/Konstanten werden angezeigt mit Zeilennummer

und als API oder Konstante gesetzt.

Diese Informationen werden in Gridboxen gesammelt und dargestellt. Außerdem gibt es noch ein Treeview-Element.

In diesem Treeview werden alle oben erwähnten mit Zeilennummer und zusätzlich Header-Dateien, db/dt/json/move/ogl/res/set-Funktionen,

Get-/Send-/Post- und Usermessage und ganzzeilge Kommentare auch mit Zeilennummer eingtragen.

------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

WICHTIG !!

Varfinder nimmt an dem geladenem Programm eine Änderungen vor, sofern dieses im Programm-Listing so vorkommt.

Werden Zeilen mit Declare,Struct,Class oder Parameters auf mehrere Zeilen aufgesplittet (so wie es in Rolands XProfed vorkommt)

so werden diese zu einer Zeile zusammengefasst.

Siehe Beispiel:

Struct TC_ITEM = Mask&, \

lpReserved1&, \

lpReserved2&, \

pszText&, \

cchTextMax&, \

iImage&, \

lParam&

wird zu:

Struct TC_ITEM = Mask&, lpReserved1&, lpReserved2&, pszText&, cchTextMax&, iImage&, lParam&

(Orginal-Datei bleibt jedoch unangetastet, es sei denn man überschreibt sie gewollt)

Wenn man nach der Bearbeitung die Datei behalten möchte, so muss diese gespeichert werden!

Ich suche jedoch nach einer Lösung, um ein Programm-Listing komplett im Original zu belassen.

Mit dem Personal Edition von HelpNDoc erstellt: Qt Help-Dateien auf einfache Weise erstellen


Schnellstart-Anleitung

Schnellstart

Beim ersten Start von VarFinder fragt das Programm nach dem Programm-Pfad von "Profan.exe", dies ist notwendig wenn man Profan-Programme aus dem laufendem Programm starten möchte. Das ist aber keine Voraussetzung. Der Pfad kann auch später noch hinzugefügt werden (über Menue-Punkt "Profan-Pfad wählen"). Der Programm-Pfad wird in der VarFinder.ini gespeichert. Diese wird beim Start angelegt.

Nach dem laden der Datei wird die erste Vor-Analyse gestartet, in der schon die meisten Informationen aus dem Programm-Listing gesammelt werden.

Insgesamt gibt es eine Variablen-Grid-Box im unteren Bereich des Bildschirms mit Filter-Elementen links und rechts der Grid-Box und sechs weitere und eine Treeview-Ansicht im Tab-Control oben rechts, in denen die Informationen abgelegt werden. Auch in den Tab-Controls gibt es Filter-Möglichkeiten.

Ausserdem gibt es das Editor-/Listing-Fenster, das Zeilen-Fenster und das Berichts-Fenster. Diese liegen alle übereinander und können über die entsprechenden Radio-Buttons aktiviert/umgeschaltet werden.

Alle Elemente werden in dieser Hilfe separat beschrieben.

.

Mit dem Personal Edition von HelpNDoc erstellt: Webhilfe-Seiten einfach erstellen


Funktionsumfang

Einführung ››

Funktionsumfang und Möglichkeiten in VarFinder

      • Variablen suchen und identifizieren
      • Tiefenanalyse/Komplett-Analyse
      • Variablen umbenennen
      • inaktive Variablen löschen
      • Variablen-Gridbox-Liste filtern (über Filter-Element links und rechts neben der Variablen-Gridbox)
      • Variablen-Gridbox-Liste Spalten sortieren
      • Variablen Gridbox-Spalten frei positionierbar (Entweder manuell per Maus oder per Menu-Option)
      • Variablen-Gridbox Kopfzeile ausblendbar
      • Proceduren listen
      • ungenutzte Proceduren erkennen
      • Proceduren im Programm reorganisieren
      • Abfragen listen (If / Case / Select) mit Filtermöglichkeit
      • Programm-Schleifen listen (While(not/loop) / Repeat / For / Foreach) mit Filtermöglichkeit
      • Definitionen listen
      • Header-Dateien listen
      • Controls listen
      • Messages listen
      • Datei-Listing ganzzeilige Kommentare entfernen
      • Datei-Listing Block-Kommentare entfernen
      • Datei-Listing Backslash entfernen
      • Datei-Listing Fake-Highlighting (z.B: kommentare)
      • Datei-Listing Formatieren
      • Datei-Listing Unformat
      • Datei speichern unter
      • Datei als RTF-Datei speichern
      • Datei laden
      • Als Projekt speichern (hier werden alle Daten der Gridboxen mit der Datei gespeichert)
      • Projekt laden
      • Tastensteuerung (nur für Variablen GridBox z.B: Tastendruck "c" ... Es wird der erste Eintrag der mit "c" beginnt angesprungen)
      • Fenster-Menu
      • Track Menu (nur wenn Read-Only im Editor-Fenster aus)
      • Zeilen-Fenster (alle Zeilen mit ausgewählter Variable)
      • Editor-Modus /Read-Only (an/aus)
      • Berichts-Fenster (Bericht erstellen)
      • INI-Datei für Einstellungen
      • Datei Testen/ausführen aus dem Programm heraus (nur wenn Profan-Pfad angegeben wurde)
      • Programm-Fenstergröße festlegen (min. jedoch 1280x720) Programm passt die Fenster-Elemente dynamisch an.
      • Text- und Hintergrundfarben für alle Grid-Boxen frei wählbar.
      • Hintergrund-Farbe für Editor-/Listing-Fenster frei wählbar.
      • Toolbar (an/aus)
      • Tooltips (an/aus)
      • Schnellprüfung (Schleifen- If-Repeat-For-Select zählen/prüfen)
      • Statistik / Diagramm anzeigen (nur nach Komplett-Analyse)
      • Bericht drucken

Ausgegraute Einträge sind momentan nicht aktiv / bzw. werden wieder rausgenommen.

Mit dem Personal Edition von HelpNDoc erstellt: Qt Help-Dokumentation leicht gemacht


Systemanforderungen

Einführung ››

Systemanforderungen

Leider konnte ich das ganze nur unter Windows 10 Testen.

Ich hoffe jedoch das das ganze auch unter Win 8 / Win 7 läuft.

Entwickelt unter Windows 10 Professional 64bit

Intel(R) Core(TM) i5-2520M CPU @ 2.50GHz 2.50 GHz

16 GByte RAM

Referenzzeiten auf diesem System:

Test-Datei: XProfEd.PRF von RGH

Ausgewählte Verarbeitungs-Optionen: Quelltext Formatieren // alle Optionen mit analysieren // Systemvariablen mit einbeziehen

Vorab-Analyse: 28,14 sek.

Bei Komplett-Analyse alle Optionen angewählt.

Komplett-Analyse: 159,23 sek.

Mit dem Personal Edition von HelpNDoc erstellt: Gratis Kindle-Hersteller


Die Programm-Oberfläche

Die Programm-Oberfläche

Hier werden im folgenden werden die Elemente der Programm-Oberfläche und die Steuerelemente beschrieben.

Mit dem Personal Edition von HelpNDoc erstellt: Gratis CHM-Hilfedokumentationsgenerator


Menue-Steuerung

Die Programm-Oberfläche ››

Fenster-Menue und Track-Menue

Mit dem Personal Edition von HelpNDoc erstellt: Einfacher EPub und Dokumentationseditor


Das Fenster-Menue

Die Programm-Oberfläche ›› Menue-Steuerung ››

Das Fenster-Menue

Menue-Punkte oder Toolbar-Elemente werden deaktiviert wenn die Funktion zum jeweiligen Zeitpunkt gerade keinen Sinn machen bzw. nicht verfügbar sind.

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Mit dem Personal Edition von HelpNDoc erstellt: Qt Help-Dokumentation leicht gemacht


Datei-Operationen

Die Programm-Oberfläche ›› Menue-Steuerung ›› Das Fenster-Menue ››

Menue-Punkt Datei-Operationen

Laden: Datei laden - es wird vorab eine Dialog-Box mit den Verarbeitungs-Optionen aufgerufen.

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Hier können die gewünschten Optionen ausgewählt werden.

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Speichern: Datei wird unter dem Orginal-Namen gespeichert / Orginal wird überschrieben

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Speichern unter: Datei unter wählbarem Namen speichern

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Projekt laden: Ein Projekt laden sofern vorhanden

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Projekt speichern: Ein Projekt speichern mit allen Daten der Grid-Boxen in Textdateien und der eigentlichen Datei.

Hierzu, sofern noch nicht vorhanden, wird ein Projekt-Ordner angelegt.

Dies wird unter $AppDataDir+"XProfan\Varfinder" gespeichert. Unter diesem Ordner wird das Projekte in einem Ordner mit dem Datei-Namen abgelegt.

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Projekt-Ordner öffnen: Öffnet der Ordner $AppDataDir+"XProfan\Varfinder"

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Datei schliessen: Schliesst die Datei.

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Drucken: Druckt den Bericht

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Bearbeitete Datei testen: Das geladene Programm-Listing kann aus Varfinder gestartet/getestet werden,sofern der Profan-Pfad angegeben wurde.

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Profan-Pfad wählen: Directory der "Profan.Exe" auswählen.

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Programm-Reset : Ini-Datei wird gelöscht. Programm startet nun wieder mit Grundeinstellungen.

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Programm beenden: Programm wird beendet.

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Mit dem Personal Edition von HelpNDoc erstellt: CHM, PDF, DOC und HTML Hilfeerstellung von einer einzigen Quelle aus


Einstellungen

Die Programm-Oberfläche ›› Menue-Steuerung ›› Das Fenster-Menue ››

Menue-Punkt Einstellungen

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Fenstergröße wählen: Es gibt 6 Modi / 1280 x 720 / 1366 x 768 / 1440 x 900 / 1600 x 900 / 1920 x 1080 oder VollBild-Modus

Beim Vollbild-Modus wird das Fenster auf die Workarea skaliert, d.h. die Taskleiste wird nicht verdeckt.

Alle Fenster-Objekte werden den Auflösungen entsprechend angepasst.

Eine Änderung der Bildschirm-Auflösung erfordert einen Neustart des Programms.

Die Einstellung wird in der Ini-Datei gesichert.

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Farben ändern: Es können die Farben der Gridboxen und des Editor-Fenster geändert werden.

Die Farben werden in der Ini-Datei gesichert.

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Schriftart: Standardmäßig sind drei Fonts wählbar, die auch dauerhaft anwählbar sind.

Es kann jedoch auch ein eigener .Font ausgewählt werden der jedoch beim beenden des

Programms verloren geht.

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Spalten in Grid-Var neu anordnen: Die Spalten im Variablen-Grid können nach Wunsch angeordnet werden.

Dies kann entweder manuell mit der Maus geschehen oder auch über das Menue angewählt werden.

Es öffnet sich ein Dialog mit zwei Listboxen, hier einfach nach Wunsch die Spaltenüberschriften, der

Reihe nach, nach rechts in die andere Listbox übertragen.

Die neue Anordnung wird in der Ini-Datei gesichert.

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Kopfzeile der Variablen-Gridbox: Kopfzeile der Variablen-Gridbox ein/ ausblenden..

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Variablen-Gridbox beim Start sortiert: Ist diese Option gewählt so wird beim Prorammstart die Variablen-Gridbox als

sortiert generiert/erstellt. Wert 1=sortiert. Eine Sortierung im weiteren Programmablauf ist dann nicht

möglich. Checkt man diese Option nicht, kann man jederzeit wahlweise die gewünschten Spalten

sortieren (auf- / absteigend).

Diese Option wird in der Ini-Datei gespeichert.

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Toolbar: Toolbar kann ein- und ausgeschaltet werden..

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Tooltips: Tooltips können ein- und ausgeschaltet werden..

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Mit dem Personal Edition von HelpNDoc erstellt: Gratis PDF-Dokumentationsgenerator


Bearbeiten

Die Programm-Oberfläche ›› Menue-Steuerung ›› Das Fenster-Menue ››

Menue-Punkt Bearbeiten

Systemvariablen nachladen: Sofern noch nicht bei den Verarbeitungs-Optionen festgelegt, können die Systemvariablen nachträglich mit in die Variablen-Gridbox nachgeladen werden.

Gewählte Variable umbenennen: Eine Variable kann umbenannt werden und der Typ kann auch nicht verändert werden.(Systemvariablen können nicht umbenannt werden, ist ja klar oder??)

Inaktive Variablen löschen: NICHT AKTIV

Inaktive Proceduren löschen: NICHT AKTIV

Quelltext formatieren: Formatiert den Quelltext

Quelltext unformat: Alle Programmzeilen werden linksbündig gesetzt.

Freitextsuche: Es kann nach einem Begriff/Text gesucht werden der beliebig im Listing vorkommt.

Variablen-Grid sortieren: Die Variablen-Gridbox kann gezielt nach gewnschter Spalte sortiert werden.

Mit dem Personal Edition von HelpNDoc erstellt: Online-Hilfen für Qt-Anwendungen generieren


Überprüfen

Die Programm-Oberfläche ›› Menue-Steuerung ›› Das Fenster-Menue ››

Menue-Punkt Überprüfen

Überprüft alle jede Option auf Konsistenz.

Jedes IF muss ein ENDIF haben etc.

Ergenis/Anzeige in Messagebox.

Mit dem Personal Edition von HelpNDoc erstellt: Vorteile eines Hilfe-Entwicklungstools


RTF-Editor-Fenster

Die Programm-Oberfläche ›› Menue-Steuerung ›› Das Fenster-Menue ››

Menue-Punkt RTF-Editor-Fenster

Clear Editor: wie Datei schliessen

RTF-Home: springt an den Anfang des Listings

RTF-GoTo: Input-Box wird geöffnet und gewünschte Zeile muss eingegeben werden. Springt zur gewählten Zeile.

RTF-End: springt ans Ende des Listings.

Read-Only: das Editor-Fenster ist Standardmäßig auf Read-Only gestetzt, da es ja kein wirklicher Editor ist.Aber wenn man unbedingt was ändern möchte gibt es ein paar Funktionen mit denen es etwas leichter gemacht wird.

Mit dem Personal Edition von HelpNDoc erstellt: CHM, PDF, DOC und HTML Hilfeerstellung von einer einzigen Quelle aus


Highlight

Die Programm-Oberfläche ›› Menue-Steuerung ›› Das Fenster-Menue ››

Menue-Punkt Highlight

Mit oben stehenden Optionen können ein paar Sachen hervorgehoben werden.

Mit dem Personal Edition von HelpNDoc erstellt: PDF-Hilfedokumente einfach erstellen


Analyse und Statistik

Die Programm-Oberfläche ›› Menue-Steuerung ›› Das Fenster-Menue ››

Menue-Punkt Analyse und Statistik

Komplette Analyse: Es werden zu allen Variablen und Proceduren erweieterte Informationen ermittelt. So z.B: alle Zeilennummer in denen eine Variable vorkommt, oder alle Zeilen in der eine Procedure aufgerufen wird.

Diagramm: Siehe Bild unten. Grafische Darstellung über die Verteilung der Variablen-Typen.

Mit dem Personal Edition von HelpNDoc erstellt: Einfacher EPub und Dokumentationseditor


Hilfe

Die Programm-Oberfläche ›› Menue-Steuerung ›› Das Fenster-Menue ››

Menue-Punkt Hilfe

Die CHM-Hilfe-Datei wird aufgerufen

Mit dem Personal Edition von HelpNDoc erstellt: Benutzerfreundliches Werkzeug zum Erstellen von HTML-Hilfedateien und Hilfewebsites


Info

Die Programm-Oberfläche ›› Menue-Steuerung ›› Das Fenster-Menue ››

Menue-Punkt Info

Info-Fenster zu Varfinder wird geöffnet.

Mit dem Personal Edition von HelpNDoc erstellt: Einfacher EPub und Dokumentationseditor


Das Track-Menue

Die Programm-Oberfläche ›› Menue-Steuerung ››

Das Track-Menue

Das Trackmenue wird über die rechte Maustaste aufgerufen, jedoch nur wenn das Read-Only für das Editor-Fenster deaktiviert wurde.

Ansonsten bewirkt die rechte Maustaste nur das markierte Texte im Editor-Fenster demarkiert werden.

Es gibt hier nur 7 Einträge die eigentlich selbsterklärend sein sollten, sie wirken alle nur auf das Editor-Fenster.

Mit dem Personal Edition von HelpNDoc erstellt: Funktionsreicher Kindle eBooks Generator


Toolbar

Die Programm-Oberfläche ›› Menue-Steuerung ››

Die Toolbar

Die Toolbar kann über das Menue an und ausgeschaltet werden.

Menue-Punkte der Toolbar von links nach rechts:

  • Datei laden
  • Datei speichern
  • Datei speichern unter
  • Clear Editor / Datei schliessen
  • Drucke Bericht
  • Projekt öffnen
  • Projekt speichern
  • Projekt-Ordner Ort öffnen
  • Datei aus dem Programm heraus starten
  • Varfinder beenden
  • Freitext-Suche
  • Variable umbenennen
  • ausschneiden (im Editor-Fenster)
  • kopieren (im Editor-Fenster)
  • einfügen (im Editor-Fenster)
  • Nicht Aktiv
  • Nicht Aktiv
  • Komplette Analyse
  • Statistik/Diagramm anzeigen (nur nach Kompletter Analyse)
  • Hilfe-Datei aufrufen
  • Info-Fenster zu Varfinder

Mit dem Personal Edition von HelpNDoc erstellt: EBooks einfach erstellen


Das Listing-Fenster

Die Programm-Oberfläche ››

Das Listing-Fenster (RTF)

Das Listing- / Editor- Fenster:

In dieses Fenster wird das Programm geladen.

Dieses Fenster ist Standard-Modus auf Read Only gesetzt, da es im eigentlichen Sinn kein Editor ist.

Natürlich kann man, sofern Read Only deaktiviert ist,

auch hier Änderungen im Editor-Fenster vornehmen.

Es bietet jedoch nicht den vollen Funktionsumfang eines normalen Editors.

Hier ist über die rechte Maustaste das Trackmenue aufrufbar, wenn Read-Only nicht aktiv.

(Zwischen den Fenstern kann per Radio-Button umgeschaltet werden.)

Mit dem Personal Edition von HelpNDoc erstellt: Funktionsreicher EPub-Generator


Var-Zeilen-Fenster

Die Programm-Oberfläche ››

Das Var-Zeilen-Fenster

Das Zeilen-Fenster:

In dieses Fenster werden nach Anwahl einer Variablen alle Zeilen mit Zeilennummer gelistet in denen diese Variablen vorkommt.

Wird eine Procedure, Schleife oder Abfrage angewählt, werden diese Zeilen mit Zeilennummer im Fenster angezeigt.

(Zwischen den Fenstern kann per Button umgeschaltet werden.)

Mit dem Personal Edition von HelpNDoc erstellt: Vorteile eines Hilfe-Entwicklungstools


Berichts-Fenster

Die Programm-Oberfläche ››

Das Berichts-Fenster

Das Bericht-Fenster:

Hier wird ein Bericht der Analyse erstellt.

(Zwischen den Fenstern kann per Button umgeschaltet werden.)

Mit dem Personal Edition von HelpNDoc erstellt: EBooks einfach erstellen


Statusleiste

Die Programm-Oberfläche ››

Die Statusleiste

In der Status-Leiste werden ein paar Information angezeigt.

  • Bei Status: was macht Varfinder gerade
  • Anzahl der ermittelten Variablen
  • Anzahl der Programm-Zeilen
  • Name und Pfad der geladenen Datei
  • Experimentell (Status noch offen/in Arbeit)

Mit dem Personal Edition von HelpNDoc erstellt: Web-basierte iPhone-Dokumentation erstellen


Die Variablen GridBox

Die Programm-Oberfläche ››

Die Variablen GridBox

und

Filter-Steuerelemente

Mit dem Personal Edition von HelpNDoc erstellt: Kindle eBooks einfach herstellen


Die Gridspalten

Die Programm-Oberfläche ›› Die Variablen GridBox ››

Die Grid-Spalten

Die Daten für die jeweilige Variable werden in der Variablen-Gridbox gelistet.

In der ersten Spalte steht der Variable-Name.

Fehlt der Postfix bzw. Bezeichner in der Variablen so wird der Variablen der Variablen-Typ vorangestellt. Z.B: Integer / Int, Double, Float … etc.

In Spalte 2 ist definiert welcher Art der Deklaration die Variable ist:

Global – global declarierte Variable

Proc – in einer Procedure deklarierte Variable

Parameter – Als Parameter in einer Procedure definierte Variable

Struct – Struktur-Variable

Class – Klassen-Variable

Var – als Var definierte Variable

System – Systemvariable

In Spalte 3 wird eine weitere Art definiert. Hier wird gekennzeichnet ob die Variable ein Control-Element / Fensterobjekt (FO) ist.

In der 4.Spalte wird automatisch das entsprechende Control-Element eingetragen. z.B: Listbox , Button , Text , Checkbox etc.

In Spalte 5 (Zuordnung) stehen die Bezeichner/Namen für erkannte Klassen / Structuren, bzw. zu welche Strucktur/Klasse die Variable gehört.

In Spalte 6 steht die ermittelte Anzahl der gewählten Variable.

In Spalte 7 steht der entsprechende Procedure-Name wenn die Variable als Parameter bzw. in dieser Procedure declariert wurde.

In Spalte 8 steht die Zeilennummer in der die Variable deklariert wurde.

In Spalte 9 stehen alle Zeilennummern in der die gewählte Variable im Programm-Listing vorkommt.

ALLE weiteren Spalten sind noch Experimentell. !!!!

------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Mit dem Personal Edition von HelpNDoc erstellt: Hilfedateien für das Qt Help-Framework erstellen


Filter-Steuer-Elemente

Die Programm-Oberfläche ›› Die Variablen GridBox ››

Die Filter-Steuer-Elemente

Es gibt insgesamt drei Filtersteuer-Elemente

Abhängig von den gesetzten Filtern werden die Variablen in der Variablen-Gridbox angezeigt.

z.B: zeige nur Variablen mit Postfix % ohne Globale und Systemvariablen.

Mit dem Personal Edition von HelpNDoc erstellt: Hilfedateien für das Qt Help-Framework erstellen


Filter Controls Radiobutton

Die Programm-Oberfläche ›› Die Variablen GridBox ›› Filter-Steuer-Elemente ››

Die linken Filter-Controls (Radiobutton)

Über die Radio-Buttons wird die Variablen wird die Variablen-Gridbox umgehend nach Variablen-Typ gefiltert.

Der Reset-Button resettet die Variablen-Gridbox (alle Filter werden zurückgesetzt.)

Mit dem Personal Edition von HelpNDoc erstellt: iPhone Websites einfach gemacht


Filter Controls Checkboxen

Die Programm-Oberfläche ›› Die Variablen GridBox ›› Filter-Steuer-Elemente ››

Die rechten Filter-Controls (Checkboxen)

Filtert die Variablen-Gridbox nach Art der Variable.

Es funktioniert immer nur ein abwählen ein oder mehrerer Optionen.

im obigen Bild/Beispiel alle Variablen der Art Parameters,in Proc deklariert, Klassen-Variablen, als Var deklarierte und System-Variablen gelistet.

Dies muss jedoch mit dem Refresh-Button expliziert bestätigt werden.

Rücksetzen der Filter über den RESET-BUTTON.

Mit dem Personal Edition von HelpNDoc erstellt: EPub-Bücher für das iPad verfassen


Die Proceduren ChoiceBox

und im aufgeklapptem Zustand

Es werden alle Variablen angezeigt die in der entsprechenden Procedure vorkommen.

Mit dem Personal Edition von HelpNDoc erstellt: Gratis EPub-Hersteller


Die Tab-Controls

Die Programm-Oberfläche ››

Die Tab-Controls

Mit dem Personal Edition von HelpNDoc erstellt: Vorteile eines Hilfe-Entwicklungstools


Proceduren-Gridbox

Die Programm-Oberfläche ›› Die Tab-Controls ››

Die Proceduren GridBox

Mit Klick auf den entsprechenden Gridbox-Eintrag springt das Editor-Fenster auf die erste Zeile der Procedure und markiert diese von Anfang bis Ende.

Procedure: Name der Procedure

Start: Beginn der Procedure

Ende: Ende der Procedure

Calls: zeigt die Anzahl der Aufrufe der Procedure aus dem Programm heraus.

In Zeile: zeigt die Zeilennummer in der der Aufruf steht.

Mit dem Personal Edition von HelpNDoc erstellt: Gratis Hilfeverfassungsumfeld


Schleifen-Gridbox

Die Programm-Oberfläche ›› Die Tab-Controls ››

Die Schleifen GridBox

Mit Klick auf den entsprechenden Gridbox-Eintrag springt das Editor-Fenster auf die erste Zeile der Schleife und markiert diese von Anfang bis Ende.

Schleife: Startzeile der Schleife

V: Verschachtelungstiefe der Schleife

Start: Beginn der Schleife

Ende: Ende der Schleife

Mit dem Personal Edition von HelpNDoc erstellt: Online-Hilfen für Qt-Anwendungen generieren


If/Select/Case-Abfragen

Die Programm-Oberfläche ›› Die Tab-Controls ››

Die If / Select / Case GridBox

Mit Klick auf den entsprechenden Gridbox-Eintrag springt das Editor-Fenster auf die erste Zeile der IF/Select/Case-Abfrage und markiert diese von Anfang bis Ende.

Abfragen: Startzeile der Abfrage

V: Verschachtelungstiefe der Abfrage

Start: Beginn der Abfrage

Ende: Ende der Abfrage

Über die Radio-Buttons kann diese Grid-Box gefiltert werden.

Mit dem Personal Edition von HelpNDoc erstellt: Funktionsreicher EPub-Generator


Definitionen-Gridbox

Die Programm-Oberfläche ›› Die Tab-Controls ››

Die Defintionen GridBox

Mit Klick auf den entsprechenden Gridbox-Eintrag springt das Editor-Fenster auf die Zeile in der die Definition vorkommt und markiert diese.

In Zeile: die Zeilennummer

Art: API-Funktion oder Konstante

Mit dem Personal Edition von HelpNDoc erstellt: Funktionsreicher EPub-Generator


Controls-Gridbox

Die Programm-Oberfläche ›› Die Tab-Controls ››

Die Controls GridBox

Mit Klick auf den entsprechenden Gridbox-Eintrag springt das Editor-Fenster auf die Zeile des Controls und markiert diese.

Control: Zeile in der das Control definiert wird.

In Zeile: Zeilennummer

Mit dem Personal Edition von HelpNDoc erstellt: Gratis Webhilfegenerator


Messages-Gridbox

Die Programm-Oberfläche ›› Die Tab-Controls ››

Die Meassages GridBox

Mit Klick auf den entsprechenden Gridbox-Eintrag springt das Editor-Fenster auf die Zeile des Dialoges und markiert diese.

Control: Zeile in der der Dialog aufgerufen wird.

In Zeile: Zeilennummer

Mit dem Personal Edition von HelpNDoc erstellt: Gratis EPub-Hersteller


Treeview

Die Programm-Oberfläche ›› Die Tab-Controls ››

Das Treeview

In diesem Treeview werden alle oben erwähnten mit Zeilennummer und zusätzlich Header-Dateien, db/dt/json/move/ogl/res/set-Funktionen,

Get-/Send-/Post- und Usermessage und ganzzeilge Kommentare auch mit Zeilennummer eingtragen.

Mit dem Personal Edition von HelpNDoc erstellt: Nachrichten und Informationen über Hilfe-Entwicklungstools und -software